<template>
  <div>
    <section id="app">
      <header>
        <div class="container">
          <span>Transforme neg&oacute;cios digitais com o software e a experi&ecirc;ncia para criar uma Moderna F&aacute;brica de Software baseada em agilidade, automa&ccedil;&atilde;o, insights e seguran&ccedil;a</span>
        </div>
      </header>
      <nav>
        <div class="container">
          <div class="small-6 columns no-padding">
            <ul>
              <!--<router-link tag="li" activeClass="active" to="/portfolio"><a>Digital Business</a></router-link>-->
              <router-link tag="li" activeClass="active" to="/devops"><a>DevOps &amp; Cloud</a></router-link>
              <router-link tag="li" activeClass="active" to="/minimum-viable-product"><a>Minimum Viable Product</a></router-link>
              <router-link tag="li" activeClass="active" to="/ux"><a>UX &amp; ZeroUI</a></router-link>
            </ul>
          </div>
        </div>
      </nav>
      <footer>
        <div class="container">
          <div class="small-3 columns no-padding contact-info">
            <ul>
              <li><a href="mailto:contato@citr.co">contato@citr.co</a></li>
              <li><a href="https://blog.citr.co">Blog</a></li>
              <router-link tag="li" to="/privacy-policy"><a>Política de Privacidade</a></router-link>
              <router-link tag="li" to="/privacy-policy"><a>Termos de uso</a></router-link>
            </ul>
          </div>
          <div class="small-3 columns no-padding branding">
            <router-link to="/">
              <svg id="Logo" class="Animate-Path" width="100%" height="100%" viewBox="-159 371 295 100" xml:space="preserve">
                <use id="Draw-Dot" class="Animate-Draw" xlink:href="#Dot"></use>
                <use id="Draw-Leaf" class="Animate-Draw" xlink:href="#Leaf"></use>
                <use id="Draw-Text" class="Animate-Draw" xlink:href="#Logo-Text"></use>
                  <!--<use class="Animate-Fill" xlink:href="#Logo-Group" /> -->
              </svg>
            </router-link>
          </div>
        </div>
        <div class="swipe"></div>
      </footer>
    </section>
    <section id="content">
      <router-view></router-view>
    </section>
  </div>
</template>

<script>
export default {
  name: 'app'
}
</script>

<style>
  * {
    margin:0;
    padding:0;
    box-sizing: border-box;
  }

  html, body {
    position: relative;
  }

  #app {
    -webkit-box-shadow: inset 0 -28px 46px -26px rgba(0,0,0,0.75);
    -moz-box-shadow: inset 0 -28px 46px -26px rgba(0,0,0,0.75);
    box-shadow: inset 0 -28px 46px -26px rgba(0,0,0,0.75);;
  }

  .swipe {
    opacity: 0;
    position: absolute;
    left: 50%;
    width: 16px;
    height: 16px;
    background: rgba(250,250,250,1);
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    border-radius: 100%;
    animation-duration: 1s;
    animation-iteration-count: 10;
    -webkit-animation-name: scroll;
    -moz-animation-name: scroll;
    -o-animation-name: scroll;
    animation-name: scroll;
  }

  @keyframes slideOutUp {
    0% {
      transform: translate3d(0, 0, 0);
    }

    20% {
      transform: translate3d(0, -20px, 0);
    }

    65% {
      transform: translate3d(0, -20px, 0);
    }

    75% {
      transform: translate3d(0, -25px, 0);
    }

    90% {
      transform: translate3d(0, 0, 0);
    }
  }

  @keyframes scroll {
    0% {
      opacity: .3;
    }
    100% {
      opacity: 0;
      -webkit-transform: translateY(-46px);
      -moz-transform: translateY(-46px);
      -ms-transform: translateY(-46px);
      -o-transform: translateY(-46px);
      transform: translateY(-46px);
    }
  }

  #content {
    overflow-y: scroll;
  }

  /*#content > * {*/
    /*-webkit-animation-name: slideOutUp;*/
    /*-moz-animation-name: slideOutUp;*/
    /*-o-animation-name: slideOutUp;*/
    /*animation-name: slideOutUp;*/
    /*animation-duration: 2s;*/
    /*-webkit-animation-fill-mode: both;*/
    /*-moz-animation-fill-mode: both;*/
    /*-o-animation-fill-mode: both;*/
    /*animation-fill-mode: both;*/
  /*}*/

  #app, #content {
    float: left;
  }

  #app, #content {
    background: #17141B;
    position: relative;
    min-height: 100vh;
  }

  @media screen and (min-width: 960px) {
    html, body {
      overflow: hidden;
    }

    .swipe {
      display: none;
    }

    #app {
      -webkit-box-shadow: inset -18px 0px 46px -26px rgba(0,0,0,0.75);
      -moz-box-shadow: inset -18px 0px 46px -26px rgba(0,0,0,0.75);
      box-shadow: inset -18px 0px 46px -26px rgba(0,0,0,0.75);;
    }
  }
</style>
